.services {
  padding: 80px 0px;
  text-align: center;
  /* overflow: hidden; */
}

.services .title {
  margin-bottom: 60px;
}

.services .hex-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.services .hex-row {
  display: flex;
  gap: 20px;
}

.services .hex-row.offset {
  margin-top: -31px;
  margin-left: -271px;
}

.services .hex {
  width: 280px;
  height: 280px;
  clip-path: polygon(50% 0%,
      100% 25%,
      100% 75%,
      50% 100%,
      0% 75%,
      0% 25%);
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  font-weight: bold;
  transition: 0.3s;
  padding: 0 15px;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  position: relative;
  z-index: 5;
}

.services .hex p {
  text-align: center;
  font-size: 15px;
  color: #343637;
  font-weight: 500;
}

.services .hex img {
  position: relative;
  width: 50px;
  top: -15px;
  border: 1px solid rgb(3, 22, 111);
  padding: 4px;
}

.services .hex.yellow h3 {
  font-size: 22px;
  font-weight: bold;
  padding-bottom: 10px;
  color: #1604b7;
}

.services .hex.gray h3 {
  font-size: 22px;
  font-weight: bold;
  padding-bottom: 10px;
  color:#725e22;
}

.services .hex:hover {
  transform: translateY(-10px);
}

.services .yellow {
  background: #f8fffe;
}

.services .gray {
  background: #d5e1ec;
}

.services .big {
  width: 280px;
  height: 280px;
  padding: 0 15px;
}

.services-head {
  padding-bottom: 30px;
}

.services-head p {
  font-size: 20px;
    color: #e8edf2;
}

.services-head h1 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  color: #e8edf2;
}

.services-head h1:after {
  content: "";
  height: 2px;
  width: 70px;
  background: #c4a96d;
  display: inline;
}

.services .top-dot {
  top: 107px;
  left: 356px;
}

.services .dot {
    position: absolute;
    width: 104px;
    height: 80px;
    background-image: radial-gradient(#b9b8b8 2px, transparent 2px);
    background-size: 12px 12px;
    opacity: 1;
    z-index: 1;
}

.services .bottom-dot {
  bottom: 65px;
  right: 143px;
}

.services {
  position: relative;
  background-image: url(../images/inner.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.services:after {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: linear-gradient(180deg, #030e20d4 0%, rgb(3 14 32 / 75%) 100%);
}

.services .container {
  position: relative;
  z-index: 10;
}

.services .rect-group {
  position: absolute;
  display: flex;
  gap: 10px;
  z-index: 16;
}

.services .rect-top-left {
  top: -56px;
  left: 40px;
}

.services .rect-bottom-right {
  bottom: 40px;
  right: 40px;
}

.services .rect-group span {
  display: block;
  width: 8px;
  border-radius: 4px;
 background: linear-gradient(180deg, #ffffff, #afa890);
  box-shadow:
    0 8px 20px rgba(0, 82, 255, 0.3),
    inset 0 1px 2px rgba(255, 255, 255, 0.4);
  opacity: 0.7;
}

.services .rect-group span:first-child {
  height: 84px;
  width: 115px;
  position: relative;
  top: 28px;

}

.services .rect-group span:last-child {
  height: 102px;
  width: 16px;
  margin-top: 65px;
}


.services .hex p {
  position: relative;
}

.services .short-text {
  display: block;
}

.services .full-text {
  display: none;
  position: absolute;
  top: -154%;
  left: 50%;
  transform: translateX(-50%);
  width: 260px;
  background: #f1e0d1;
  color: #01011d;
  padding: 12px;
  border-radius: 8px;
  font-size: 13px;
  line-height: 1.5;
  z-index: 999;
  box-shadow: 0 5px 20px rgba(0,0,0,0.3);

}

.services .hex:hover .full-text {
  display: block;
}


.services .full-text {
  opacity: 0;
  transition: 0.3s;
}

.services .hex:hover .full-text {
  opacity: 1;
}
/* RESPONSIVE */
@media (max-width: 768px) {
  .services .hex-row {
    flex-wrap: wrap;
    justify-content: center;
  }

  .services .hex-row.offset {
    margin-left: 0;
    margin-top: 20px;
  }
}


@media (min-width:1200px) and (max-width:1399px) {
  .services .hex.yellow h3 {
    font-size: 18px;
  }

  .services .hex p {
    font-size: 12px;
  }

  .services .hex.gray h3 {
    font-size: 18px;
  }

  .services-head h1 {
    font-size: 30px;
  }

  .services-head p {
    font-size: 16px;
  }

  .services .hex {
    width: 240px;
    height: 260px;
  }
}

@media (min-width:1901px) and (max-width:2500px) {
  .services .hex {
    width: 350px;
    height: 350px;
  }

  /*.services .hex-row.offset {*/
  /*  margin-top: -66px;*/
  /*  margin-left: 31px;*/
  /*}*/
  
  .services .hex-row.offset {
    margin-top: -46px;
    margin-left: -353px;
  } 
  .services .full-text {
    top: -132%;
    left: 50%;
    width: 308px;
    font-size: 16px;
}

  .services .hex.yellow h3 {
    font-size: 25px;
  }

  .services .hex p {
    font-size: 18px;
    line-height: 1.5;
  }

  .services-head h1 {
    font-size: 40px;
  }
}

@media (max-width:990px) {
  .services .top-dot {
    top: 14px;
    left: 192px;
  }

  .services .dot {
    z-index: 10;
  }

  .services-head h1 {
    display: block;
  }

  .services .rect-group span:last-child {
    height: 56px;
    width: 26px;
  }

  .services .rect-group span:first-child {
    height: 69px;
    width: 80px;
    position: relative;
    top: 28px;
  }

  .services-head p {
    font-size: 15px;
  }
}



